-----------------------------------
--This file contains all the miscellaneous changes for Event Horizons's UI
-----------------------------------

(function()

  local topics = require('lib_ui_topics')
  --ocal utils = require('lib_utils')
  --local datasaver = require('lib_data_saver')

  --In pilot select also make sure the "select" text uses select positive rather than negative
  topics.pilotselect.initialize:bind(9999, function(message, context)
    local el = message.Document:GetElementById("playercommit_img").next_sibling
    el:SetClass("neg", false)
    el:SetClass("pos", true)
  end)
  
--In control config change "targeting" to "controls"
  topics.controlconfig.initialize:bind(9999, function(message, context)
    local el = message.Document:GetElementById("target_img").next_sibling.first_child
    el.inner_rml = ba.XSTR("Controls", -1)
  end)  
  
  
-- Loading Screen Changes for Logo_Wide 
topics.loadscreen.initialize:bind(9999, function(message, context)
    local el = message.Document:GetElementById("logo_wide")
    el:SetClass("hidden", true)
    local el = message.Document:GetElementById("title")
    el:SetClass("hidden", true)
  end)  
  

end)()